:root {
    --color-primary: #505050;
    --color-secondary: #919191;
    --color-red: #D0021B;
    --color-grayBorder: #E2DFDB;
    --color-grayLight: #F4F4F4;
}


.hide {
    display: none !important;
}

.occ-procuradores {}

.occ-procuradores .occ-prc-cabecera {
    background-color: var(--color-red);
    padding: 16px 24px;
    display: flex;
    justify-content: flex-start;
}


.occ-procuradores .occ-prc-cabecera img {
    width: 160px;
}

.occ-procuradores .occ-prc-content {
    padding: 0px 24px;
}

.occ-procuradores .occ-prc-content h1 {
    background-color: var(--color-grayLight);
    color: var(--color-primary);
    font-family: "Catalana-Bold";
    font-size: 18px;
    font-weight: 800;
    padding: 24px 16px;
    justify-content: flex-start;
    display: flex;
    border-radius: 4px;
    margin-top: 24px;
    text-align: left;
    margin-bottom: 24px;
}


.occ-procuradores .occ-prc-wrap-form {
    display: flex;
    justify-content: center;
}

.occ-procuradores .occ-procuradores-form-container {
    margin-top: 60px;
    width: 400px;
    max-width: 100%;
}

.occ-procuradores .occ-procuradores-form-container form>div {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 100%;
    text-align: left;
    gap: 8px;
    font-family: "CatalanaSans-Regular";
    color: var(--color-primary);
    font-size: 12px;
}


.occ-procuradores .occ-prc-campo.occ-prc-required label::after {
    content: "*";
    color: var(--color-red);
    margin-left: 4px;
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo label {
    width: 100%;
    font-family: "CatalanaSans-Regular";
    color: var(--color-primary);
    font-size: 12px;
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo input {
    width: 100%;
    height: 30px;
    border: 1px solid #d6d8d8;
    padding: 6px;
    box-sizing: border-box;
    font-family: "CatalanaSans-Regular";
    color: var(--color-primary);
    font-size: 12px;
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo {
    position: relative
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo input+.icon-accion-insatis {
    position: absolute;
    right: 4px;
    top: calc(100% - 26px);
    cursor: pointer;
    display: none;
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo input+.icon-accion-insatis:hover {
    color: var(--color-secondary);
    display: block;
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo input:hover {
    border: 1px solid #505050;
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo input:focus {
    border: 2px solid #505050;
    outline: none;
}

.occ-procuradores .occ-procuradores-form-container .occ-prc-campo input:not(:placeholder-shown):hover+.icon-accion-insatis,
.occ-procuradores .occ-procuradores-form-container .occ-prc-campo input:not(:placeholder-shown):focus+.icon-accion-insatis {
    display: block;
}

.occ-procuradores .occ-prc-enviar-container {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.occ-procuradores .btn-enviar {
    background-color: #505050;
    border: 2px solid #505050;
    color: #fff;
    display: flex;
    font-size: 14px;
    width: fit-content;
    cursor: pointer;
    margin-top: 32px;
    padding: 5px 16px;
    align-items: center;
    justify-content: center;
    font-family: "CatalanaSans-Bold";
    font-size: 12px;
}

.occ-procuradores .btn-enviar:hover {
    background-color: #919191;
    color: #fff;
    border: 2px solid #919191;
}

.occ-procuradores .btn-enviar:active {
    background-color: var(--color-red);
    color: #fff;
    border: 2px solid var(--color-red);
}

.occ-procuradores .error-popup-top {
    border-left: 4px solid #B91E1E;
    color: #B91E1E;
    background-color: #FDEDED;
    text-align: left;
}

.occ-procuradores .occ-prc-wrap-modal-error-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    padding-left: 10px;
}

.occ-procuradores .occ-prc-wrap-modal-error-container i {
    font-size: 20px !important;
}

.occ-procuradores .occ-prc-wrap-modal-error-container p {
    font-family: "CatalanaSans-Regular";
    font-size: 12px;
    color: #B91E1E;
    padding-right: 10px;
}

@media screen and (max-width: 767px) {

    .occ-procuradores .occ-prc-content h1 {
        margin-top: 0px;
    }

    .occ-procuradores .occ-prc-content {
        padding: 0px;
        height: calc(100% - 64px);
        display: flex;
        flex-direction: column;
    }

    .occ-procuradores .occ-procuradores-form-container {
        margin-top: 0px;
        display: flex;
        flex-direction: column;
    }

    .occ-procuradores .occ-procuradores-form-container>form {
        display: flex;
        flex-direction: column;
        flex: 1;
        justify-content: space-between;
        margin-bottom: 0px;
    }

    .occ-procuradores .occ-prc-wrap-form {
        padding: 24px;
        flex: 1;
    }

    .occ-procuradores .occ-procuradores-form-container .occ-prc-campo label {
        font-size: 14px;
    }

    .occ-procuradores .occ-procuradores-form-container .occ-prc-campo input {
        font-size: 14px;
        height: 40px;
    }

    .occ-procuradores .occ-procuradores-form-container .occ-prc-campo input+.icon-accion-insatis {
        top: calc(100% - 33px);
        font-size: 28px;
    }

    .occ-procuradores .btn-enviar {
        width: 100%;
        height: 40px;
        font-size: 14px;
    }

    .occ-procuradores .error-popup-top {
        width: calc(100% - 48px);
        margin: 0 auto;
    }

    .occ-procuradores .occ-prc-wrap-modal-error-container p { 
        font-size: 14px;
    }
}